%global srcname fiona
%global Srcname Fiona

Name:           python-%{srcname}
Version:        1.8
%global         pre a2
%global         uversion %{version}%{?pre}
Release:        0.1.%{pre}%{?dist}
Summary:        Fiona reads and writes spatial data files

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/Toblerity/%{Srcname}/archive/%{uversion}/%{Srcname}-%{uversion}.tar.gz
# https://github.com/Toblerity/Fiona/pull/610
Patch0001:      0001-TST-Fix-flaky-listing-test.patch

BuildRequires:  gcc-c++
BuildRequires:  gdal >= 1.8
BuildRequires:  gdal-devel >= 1.8

%{?python_enable_dependency_generator}

%description
Fiona is designed to be simple and dependable. It focuses on reading and
writing data in standard Python IO style and relies upon familiar Python types
and protocols such as files, dictionaries, mappings, and iterators instead of
classes specific to OGR. Fiona can read and write real-world data using
multi-layered GIS formats and zipped virtual file systems and integrates
readily with other Python GIS packages such as pyproj, Rtree, and Shapely.


%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python2-Cython
BuildRequires:  python2-boto3
BuildRequires:  python2-six >= 1.7
BuildRequires:  python2-munch
BuildRequires:  python2-cligj >= 0.4
BuildRequires:  python2-click-plugins
BuildRequires:  python2-shapely
BuildRequires:  python2-enum34

BuildRequires:  python2-packaging
BuildRequires:  python2-pytest

Recommends:     python2-boto3
Recommends:     python2-shapely

%description -n python2-%{srcname}
Fiona is designed to be simple and dependable. It focuses on reading and
writing data in standard Python IO style and relies upon familiar Python types
and protocols such as files, dictionaries, mappings, and iterators instead of
classes specific to OGR. Fiona can read and write real-world data using
multi-layered GIS formats and zipped virtual file systems and integrates
readily with other Python GIS packages such as pyproj, Rtree, and Shapely.


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython
BuildRequires:  python3-boto3
BuildRequires:  python3-six >= 1.7
BuildRequires:  python3-munch
BuildRequires:  python3-cligj >= 0.4
BuildRequires:  python3-click-plugins
BuildRequires:  python3-shapely

BuildRequires:  python3-packaging
BuildRequires:  python3-pytest

Recommends:     python3-boto3
Recommends:     python3-shapely

%description -n python3-%{srcname}
Fiona is designed to be simple and dependable. It focuses on reading and
writing data in standard Python IO style and relies upon familiar Python types
and protocols such as files, dictionaries, mappings, and iterators instead of
classes specific to OGR. Fiona can read and write real-world data using
multi-layered GIS formats and zipped virtual file systems and integrates
readily with other Python GIS packages such as pyproj, Rtree, and Shapely.


%prep
%autosetup -n %{Srcname}-%{uversion} -p1


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
export LANG=C.UTF-8

mkdir temp
pushd temp
ln -s ../tests
PYTHONPATH="%{buildroot}%{python2_sitearch}" \
    %{__python2} -m pytest -m "not network"
PYTHONPATH="%{buildroot}%{python3_sitearch}" \
    %{__python3} -m pytest -m "not network"
popd


%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst CHANGES.txt CREDITS.txt
%{python2_sitearch}/%{srcname}
%{python2_sitearch}/%{Srcname}-%{uversion}-py%{python2_version}.egg-info


%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst CHANGES.txt CREDITS.txt
%{_bindir}/fio
%{python3_sitearch}/%{srcname}
%{python3_sitearch}/%{Srcname}-%{uversion}-py%{python3_version}.egg-info


%changelog
* Fri Sep 21 2018 Miro Hrončok <mhroncok@redhat.com> - 1.8-0.1.a2
- Update to 1.8a2
- Use automatic Python dependency generator
- Use pytest instead of nose

* Wed Jul 18 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.7.13-1
- Update to latest version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.7.10-4
- Rebuilt for Python 3.7

* Tue Feb 13 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.7.10-3
- rebuilt

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Dec 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.10-1
- Update to latest version.
- Use python2-* BR.

* Sun Jul 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.8-2
- Restore flaky test patch (not applied upstream yet)

* Sun Jul 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.8-1
- Simplify spec a bit.
- Update fiona to latest release.

* Sun Mar 05 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.4-3
- Fix flaky ls test.

* Sun Mar 05 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.4-2
- Testing requires pytest as well.

* Sat Mar 04 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.4-1
- Initial package release.
